#include <iostream>
#include <vector>
#include "jelly.h"

int main() {
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);

    int N;
    std::cin >> N;
    std::vector<int> H(N), W(N);
    for (int i = 0; i < N; i++) {
        std::cin >> H[i] >> W[i];
    }

    std::cout << solve(H, W) << '\n';
    return 0;
}
